﻿/* FocusAssist specific styles */

input {
  &[type="text"], &[type="password"] {
    border: 2px solid #c7e1d9;
  }
}

textarea {
  border: 2px solid #c7e1d9;
}

hr {
  background: #226c67;
  height: 2px;
  border: none;
}

#MainLogoImage {
  padding: 0 0 0 15px;
  float: left;
  width: 198px;
  height:47px;
}

.usernameSpeechBubbleTextFix {
  color: #8f5c1c;
}

body .toolbarBottom {
  a {
    color: #8f5c1c;
    font-size: 16px;
  }
  color: #8f5c1c;
}

.usernameSpeechBubbleLeft {
  background: url(Images/fa_speech_bubble_left.png) no-repeat;
}

.usernameSpeechBubbleRight {
  background: url(Images/fa_speech_bubble_right.png) no-repeat right;
}

h1 {
  color: #226c67;
}

.desktop select {
  border: 1px solid #90c8c1 !important;
  background: #ffffff !important;
  background: -moz-linear-gradient(top, white 1%, #dfe9e7 100%) !important;
  background: -webkit-linear-gradient(top, white 1%, #dfe9e7 100%) !important;
  background: -o-linear-gradient(top, white 1%, #dfe9e7 100%) !important;
  background: -ms-linear-gradient(top, white 1%, #dfe9e7 100%) !important;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#dfe9e7', GradientType=0) !important;
  /*background: -webkit-gradient(linear, center top, center bottom, from(#ffffff), to(#dfe9e7)) !important;*/
  color: #226c67 !important;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  -ms-border-radius: 3px;
  border-top-left-radius: 3px;
  border-top-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-bottom-right-radius: 3px;
  border-radius: 3px;
  font-weight: bold;
  height: 26px;

}
	.desktop .selectDisabled{
	 background:-webkit-linear-gradient(top, #E0E5E9 1%, #dfe9e7 100%) !important
	}

.tooltip .tooltipPopupInner {
  border: 2px solid #f6ba30;
}

a {
  &:link, &:visited {
    color: #226c67;
  }
}

#tabbedContent {
  border: 2px solid #90c8c1;
}

.navTab li {
  a {
    background: #226c67;
    &:hover {
      background: #ffffff;
      color: #226c67;
    }
  }
  span {
    background: #89A2B4;
    &:hover {
      background: #ffffff;
    }
  }
}

.localNavTab li a {
  background: #90a9bd;
}

.navTab {
  li a {
    border-top: 3px solid #226c67;
    border-left: 3px solid #226c67;
    border-right: 3px solid #226c67;
  }
  .active {
    a {
      border-top: 3px solid #226c67;
      border-left: 3px solid #226c67;
      border-right: 3px solid #226c67;
      color: #226c67;
    }
    span {
      border-top: 3px solid #226c67;
      border-left: 3px solid #226c67;
      border-right: 3px solid #226c67;
    }
  }
}

#navBottomBorder {
  background: #226c67;
}

.localNavTab {
  .active a {
    border-top: 2px solid #90c8c1;
    border-left: 2px solid #90c8c1;
    border-right: 2px solid #90c8c1;
  }
  li a {
    background: #90c8c1;
    border-top: 2px solid #90c8c1;
    border-left: 2px solid #90c8c1;
    border-right: 2px solid #90c8c1;
  }
}

.navTab.localNavTab .active span {
  background: #ffffff;
  border-top: 2px solid #90c8c1;
  border-left: 2px solid #90c8c1;
  border-right: 2px solid #90c8c1;
}

.multipleAccordionTitle .accordionArrow, .singleAccordionTitle .accordionArrow, .advancedSearchAccordionTitle .accordionArrow {
  background: url(Images/arrow_left_fa_off.png) right center no-repeat;
}

.multipleAccordionTitle.over .accordionArrow, .singleAccordionTitle.over .accordionArrow, .advancedSearchAccordionTitle.over .accordionArrow {
  background: url(Images/arrow_left_fa_on.png) right center no-repeat;
}

.singleSelectedAccordionTitle img {
  content: url(Images/accordion-icon-expanded.png);
}

.singleAccordionTitle, .advancedSearchAccordionTitle {
  background-color: #ffeab9;
  border-top: 1px dashed #509790;
}

.multipleAccordionTitle.on .accordionArrow, .singleAccordionTitle.on .accordionArrow, .advancedSearchAccordionTitle.on .accordionArrow {
  background: url(Images/arrow_down_fa_off.png) right center no-repeat;
}

.multipleAccordionTitle.on.over .accordionArrow, .singleAccordionTitle.on.over .accordionArrow, .advancedSearchAccordionTitle.on.over .accordionArrow {
  background: url(Images/arrow_down_fa_on.png) right center no-repeat;
}

#SearchPanelTop td {
  padding: 0;
}

.accountsetting {
  float: left;
}

.accordion .accordionTitle {
  background: #e0e5e9;
}

.accordionTable table td {
  padding: 4px;
}

.singleAccordionTitle, .advancedSearchAccordionTitle {
  padding: 2px 6px 2px 0;
  border-top: 1px dashed #509790;
}

.singleAccordionTitle {
  &.on {
    border-bottom: 0;
  }
  &.singleAccordionStyle2 {
    background: #e3edec;
    border-top-color: #79a29e;
    td.accordionLabel {
      padding-right: 15px;
    }
    .tooltip {
      font-weight: normal;
    }
  }
}

.singleAccordionContent.singleAccordionStyle2 {
  background: #f3f8f7;
  padding-left: 30px !important;
  border-bottom-color: #79a29e;
  padding-top: 10px !important;
  padding-bottom: 10px !important;
  td {
    vertical-align: top;
  }
}

.skillsAccordionWrapper {
  display: block;
}

.skillsAccordionSummary {
  display: inline-block;
  width: 340px;
  vertical-align: top;
  border: 1px solid #226c67;
  padding: 5px;
  background-color: #e0e5e9;
  .instructionalText {
    color: #000;
  }
  .deletableListItemTable {
    width: 100%;
    background: #fff;
    td {
      padding: 2px;
    }
    .column2 {
      width: 16px !important;
      img {
        cursor: pointer;
      }
    }
  }
}

.skillsAccordion {
  display: inline-block;
  vertical-align: top;
  width: 400px;
  margin-right: 20px;
  height: 500px;
  overflow-y: scroll;
  .accordionSectionNew {
    margin-bottom: 20px;
    &:last-child {
      margin-bottom: 0;
    }
  }
  .accordionTitleNew {
    background: #e0e5e9 url(Images/arrow_left_off.png) 4px center no-repeat;
    padding: 4px 12px 4px 32px;
    border-top: 1px dashed #000;
    border-bottom: 1px dashed #000;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
  }
  .accordionSectionNew.accordionExpandedNew .accordionTitleNew {
    background-image: url(Images/accordion-icon-expanded.png);
  }
  .accordionContentNew {
    font-size: 16px;
    color: #000;
    padding: 5px;
    background: #f3f5f6;
  }
  ul {
    margin: 0;
  }
  li {
    list-style: none;
  }
}

.messageSystem {
  background-color: #E0E5E9;
  color: #000000;
}

.tooltipWithArrow {
  .tooltipPopupInner {
    background: #fdf1d9;
    border: 2px solid #f39f02;
  }
  .arrow {
    background: url(Images/validator_callout_arrow.png) no-repeat;
  }
}

body .tooltip:hover .tooltipPopupWithArrow {
  background: #e0e5e9;
  border: 2px solid #E56F22;
}

.button1 {
  background-color: #F39F02;
  color: #FFFFFF;
  color: #000000;
  &:hover {
    background-color: #FFEAB9;
  }
}

.button2 {
  background-color: #226c67;
  &:hover {
    background-color: #90c8c1;
    color: #000000;
  }
}

.button3 {
  background-color: #90c8c1;
  color: #000000;
  &:hover {
    background-color: #E3EDEC;
    color: #000000;
  }
}

.button4 {
  border: 2px solid #90c8c1;
  color: #000000;
  &:hover {
    background-color: #90c8c1;
  }
}

.button5 {
  border: 2px solid #F4D400;
  &:hover {
    background-color: #F4D400;
  }
}

.linkbutton{
display: block;
color: Black !important;
height:23px !important;
line-height: 23px !important;

}

.linkbuttonInline{
display: inline-block;
color: Black !important;
height:26px !important;
line-height: 23px !important;

}
div.TandC {
  width: 95%;
  height: 500px;
  overflow: auto;
  padding: 5px;
}

.progressBarWrap {
  height: 30px;
  overflow: hidden;
  margin-bottom: 13px;
}

.progressBar {
  height: 30px;
  width: 100%;
  border-collapse: collapse;
  font-size: 15px;
  td {
    text-align: center;
    text-transform: uppercase;
    color: #000000;
  }
  span {
    background: #90c8c1 url(Images/fa_icon_resumearrow.png) right center no-repeat;
    padding: 6px 18px 6px 15px;
    display: block;
  }
  .visited {
    color: #000000;
    background: #e3edec url(Images/fa_icon_resumearrow_inactive.png) right center no-repeat;
    &.nextNotVisited {
      background: #e3edec url(Images/fa_icon_resumearrow_inactive_next_notvisited.png) right center no-repeat;
    }
  }
  .active {
    color: #ffffff;
    font-weight: bold;
    background: #226c67 url(Images/fa_icon_resumearrow_activeleft.png) right center no-repeat;
    &.nextVisited {
      background: #226c67 url(Images/fa_icon_resumearrow_activeleft_next_visited.png) right center no-repeat;
    }
  }
  .first span {
    border-top-left-radius: 4px;
    -moz-border-radius-topleft: 4px;
    border-bottom-left-radius: 4px;
    -moz-border-radius-bottomleft: 4px;
  }
  .last {
    span {
      background-image: none;
      border-top-right-radius: 4px;
      -moz-border-radius-topright: 4px;
      border-bottom-right-radius: 4px;
      -moz-border-radius-bottomright: 4px;
      padding: 6px 40px;
    }
    .visited.nextNotVisited {
      background: #e3edec none;
    }
  }
  .activePrevious span {
    background: #e3edec url(Images/fa_icon_resumearrow_activeright.png) right center no-repeat;
  }
  a {
    &:link, &:visited {
      color: #000000;
    }
    &:hover {
      text-decoration: underline;
    }
  }
}

.customfile-feedback {
  border: 2px solid #c7e1d9;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
}

.customfile-button {
  background-color: #90c8c1;
  border: 2px solid #90c8c1;
  &:hover {
    background: #E3EDEC;
    border: 2px solid #E3EDEC;
  }
}

.customfile-hover .customfile-button, .customfile-focus .customfile-button {
  border: 2px solid #90c8c1;
  background-color: #90c8c1;
}

.modal {
  border: solid 3px #f39f02;
}

.subItemsPanel {
  background: #fff7e3;
}

.modal th {
  color: #226c67;
}

/* Dropdown styling */

body .selectBox-dropdown {
  border: 1px solid #90c8c1 !important;
  background: #e7e7e7 !important;
  background: -moz-linear-gradient(top, white 1%, #dfe9e7 100%) !important;
  background: -webkit-gradient(linear, left top, left bottom, color-stop(1%, white), color-stop(100%, #dfe9e7)) !important;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#dfe9e7', GradientType=0) !important;
  color: #226c67 !important;
  .selectBox-arrow {
    background: url(Images/GreenDownArrow.png) 50% center no-repeat !important;
  }
}

/* Icons for main tooltips */

.tooltip {
  &.Refresh .tooltipImage {
    background: url(Images/fa-icons/icon_refresh_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_refresh_fa_on.png) no-repeat;
    }
  }
  &.CloseJob .tooltipImage {
    background: url(Images/fa-icons/icon_closejob_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_closejob_fa_on.png) no-repeat;
    }
  }
  &.Reactivate .tooltipImage {
    background: url(Images/fa-icons/icon_reactivate_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_reactivate_fa_on.png) no-repeat;
    }
  }
  &.DuplicateJob .tooltipImage {
    background: url(Images/fa-icons/icon_duplicatejob_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_duplicatejob_fa_on.png) no-repeat;
    }
  }
  &.DeleteJob .tooltipImage {
    background: url(Images/fa-icons/icon_deletejob_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_deletejob_fa_on.png) no-repeat;
    }
  }
  &.DuplicateJob .tooltipImage {
    background: url(Images/fa-icons/icon_duplicatejob_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_duplicatejob_fa_on.png) no-repeat;
    }
  }
  &.EditJob .tooltipImage {
    background: url(Images/fa-icons/icon_editjob_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_editjob_fa_on.png) no-repeat;
    }
  }
  &.HoldJob .tooltipImage {
    background: url(Images/fa-icons/icon_holdjob_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_holdjob_fa_on.png) no-repeat;
    }
  }
  &.Email .tooltipImage {
    background: url(Images/fa-icons/icon_emailjob_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_emailjob_fa_on.png) no-repeat;
    }
  }
  &.Export .tooltipImage {
    background: url(Images/fa-icons/icon_exportjob_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_exportjob_fa_on.png) no-repeat;
    }
  }
  &.Flag .tooltipImage {
    background: url(Images/fa-icons/icon_flag_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_flag_fa_on.png) no-repeat;
    }
  }
  &.MoreCandidatesLikeThis .tooltipImage {
    background: url(Images/fa-icons/icon_morelikethis_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_morelikethis_fa_on.png) no-repeat;
    }
  }
  &.Note .tooltipImage {
    background: url(Images/fa-icons/icon_note_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_note_fa_on.png) no-repeat;
    }
  }
  &.Noted .tooltipImage {
    background: url(Images/button_note_exists.png) no-repeat;
    &:hover {
      background: url(Images/button_note_on.png) no-repeat;
    }
  }
  &.Print .tooltipImage {
    background: url(Images/fa-icons/icon_print_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_print_fa_on.png) no-repeat;
    }
  }
  &.Reactivate .tooltipImage {
    background: url(Images/fa-icons/icon_reactivate_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_reactivate_fa_on.png) no-repeat;
    }
  }
  &.Refresh .tooltipImage {
    background: url(Images/fa-icons/icon_refresh_fa_off.png) no-repeat;
    &:hover {
      background: url(Images/fa-icons/icon_refresh_fa_on.png) no-repeat;
    }
  }
}

table.modalRegistrationTable {
  td:first-child {
    padding-left: 3px;
  }
  table td {
    padding: 2px 2px 2px 0 !important;
    vertical-align: top;
    &:first-child {
      padding-right: 5px !important;
    }
  }
  td {
    &.column1 {
      width: 170px;
      vertical-align: top;
      padding-top: 4px !important;
    }
    &.column2 {
      width: 308px;
    }
    &.column3 {
      width: 383px;
      vertical-align: top;
    }
    &.secondaryFieldLabel {
      padding-left: 20px !important;
      padding-right: 10px !important;
      padding-top: 4px !important;
    }
  }
}

.cellsWithPadding td {
  padding: 0 30px;
}

.genericTable .bottomRow span.aspNetDisabled {
  padding: 0;
  margin: 0;
  border: none;
  display: inline;
  min-height: 0;
  position: static;
}

.office-list-item {
	position: relative;
	width: 200px;
	min-height: 37px;
	border: 2px solid #c7e1d9;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	margin: 5px 0;
	> span {
		display:block;
		margin: 8px 32px 8px 8px !important;
		border: none !important;
		padding: 0 !important;
		min-height: 0 !important;
	}
	a {
		display: block;
		position: absolute;
		top: 5px;
		right: 8px;
		width: 26px;
		height: 27px;
		background: url(Images/button_deleteitem_off.png);
		&:hover {
			background: url(Images/button_deleteitem_on.png);
		}
	}
}

.findEmployer {
	float: left;
	.findEmployerCriteria1 {
		float:left;
		width:860px;
		display:inline-block;
		tr:first-child {
			vertical-align:top;
			height:40px
		}
		label {
			display: block;
		}
		input[type=text] {
			margin-right: 10px;
		}
	}
	.findEmployerCriteria2 {
		float:left;
		width:200px;
		display:inline-block;
		& > table > tbody > tr > td:first-child {
			vertical-align:top;
			padding-top:4px;
		}
		table.updateableClientList {
			border-collapse: collapse;
			td {
				padding-left: 0;
				padding-bottom: 5px;
			}
		}
	}
}

table#FindEmployerResultsList {
	tbody td img {
		margin: 0 2px;
	}
}

.jobSeekerReferralVeteran{margin-left:10px;}

.jobSeekerReferralForeignLabour{
margin-left:10px;
vertical-align: bottom;}

div.updateableClientList {
	ul {
		background-color: #fff;
		border: 1px solid #c7e1d9;
		li {
			background-color: #f3f8f7;
			border: 1px solid #e3edec;
		}
	}
}

.hiringManagersLink {
	padding-right: 10px;
}

.defaultOfficeListIcon {
	padding: 0 8px;
}

.groupLabel{
	display: none;
}

.checkbox-panel{
  background-color: #f6f8f8; padding: 15px;
}

.offset-1{
	padding-left:132px
}

/* Custom styling for ACT AsyncFileUpload control */
.asyncFileUploadButton { 
	background-color:#90c8c1;
  color: #000000;
	&:hover {
		background-color:#E3EDEC;
	  color: #000000;
	}
}

/* Styling for Assist redesign new functionality 14-03-2013 */